﻿using DL.Core.TypeUtilities;

using FluentValidation.Validators;

namespace DL.Core.Validation.Fluent
{
    public class UnitedStatesPhoneNumberValidator : PropertyValidator
    {
        /// <summary>
        /// Initializes a new instance of the <see cref="UnitedStatesPhoneNumberValidator"/> class.
        /// </summary>
        public UnitedStatesPhoneNumberValidator()
            : base("String must only contain valid United States phone numbers.")
        {
        }

        protected override bool IsValid(PropertyValidatorContext context)
        {
            string stringToValidate = context.PropertyValue as string;

            //if (string.IsNullOrEmpty(stringToValidate))
            //{
                return true;
            //}

            //StringValidator stringValidator = new StringValidator(stringToValidate);
            //return stringValidator.IsUnitedStatesPhoneNumber;
        }
    }
}
