﻿using System;
using System.Collections.Generic;

namespace DL.Util.Web.Security.EntityFramework
{
    public class User
    {
        public int Id { get; set; }

        public string UserName { get; set; }

        public string Email { get; set; }

        public string Password { get; set; }

        public bool IsApproved { get; set; }

        public DateTimeOffset? DateLastLogin { get; set; }

        public DateTimeOffset? DateLastActivity { get; set; }

        public DateTimeOffset DatePasswordLastChanged { get; set; }

        public DateTimeOffset DateCreated { get; set; }

        public bool IsOnline { get; set; }

        public bool IsLockedOut { get; set; }

        public DateTimeOffset? DateLastLockedOut { get; set; }

        public int PasswordFailuresSinceLastSuccess { get; set; }

        public DateTimeOffset? DateLastPasswordFailure { get; set; }

        public ICollection<Role> Roles { get; set; }
    }
}
