﻿using System.Web;

namespace DL.Core.Web.Extensions
{
    /// <summary>Extension methods for the HttpContext object.</summary>
    public static class HttpContextExtensions
    {
        /// <summary>
        /// Gets the current user of the web application. 
        /// Uses multiple methods to find user.
        /// </summary>
        /// <param name="context">HTTP Context object.</param>
        /// <returns>Current user of the web application.</returns>
        public static string GetCurrentUser(this HttpContext context)
        {
            return WebUtil.GetCurrentUser(context);
        }
    }
}
