﻿using System;
using System.Web.UI;
using System.Web.UI.WebControls;

namespace DL.Core.Web.WebParts
{
    /// <summary>
    /// Utility class containing methods and helpers for web parts.
    /// </summary>
    public static class WebPartUtil
    {
        /// <summary>
        /// Handles exceptions for web parts.
        /// </summary>
        /// <param name="control">Web part object.</param>
        /// <param name="ex">Exception to handle.</param>
        public static void HandleException(Control control, Exception ex)
        {
            control.Controls.Clear();
            control.Controls.Add(new LiteralControl(ex.Message));
        }
    }
}
