﻿using System;
using System.Collections.Generic;

namespace DL.Core.Validation
{
    [Serializable]
    public class ValidationException : Exception
    {
        public ValidationException()
            : base("Validation failed.")
        {
            this.InitializeObject();
        }

        public ValidationException(string errorMessage)
            : base(errorMessage)
        {
            this.InitializeObject();
        }

        public List<ValidationError> ValidationErrors { get; set; }

        private void InitializeObject()
        {
            this.ValidationErrors = new List<ValidationError>();
        }
    }
}
