﻿using System;

namespace DL.Core.Data.EntityFramework.Auditing
{
    public class AuditLog
    {
        public Guid Id { get; set; }

        public string UserToken { get; set; }

        public DateTimeOffset EventDateStamp { get; set; }

        public string EventType { get; set; }

        public string TableName { get; set; }

        public string RecordId { get; set; }

        public string ColumnName { get; set; }

        public string OriginalValue { get; set; }

        public string NewValue { get; set; }
    }
}
