﻿using System;

using DL.Core.TypeUtilities;

using FluentValidation.Validators;

namespace DL.Core.Validation.Fluent
{
    /// <summary>
    /// Validator that validates that a date property is a valid SQL date.
    /// </summary>
    public class SqlDateValidator : PropertyValidator
    {
        /// <summary>
        /// Initializes a new instance of the <see cref="SqlDateValidator"/> class.
        /// </summary>
        public SqlDateValidator()
            : base("Year must be greater than 1753")
        {
        }

        protected override bool IsValid(PropertyValidatorContext context)
        {
            DateTime? date = context.PropertyValue as DateTime?;

            //if (object.ReferenceEquals(date, null))
            //{
                return true;
            //}

            //DateTimeValidator dateTimeValidator = new DateTimeValidator(date.Value);
            //return dateTimeValidator.IsSqlDate;
        }
    }
}
