﻿namespace DL.Core.Web.Rss
{
    /// <summary>
    /// Class which represents the image tag of an RSS feed.
    /// </summary>
    public class Image
    {
        /// <summary>
        /// Gets or sets the url property of the image tag.
        /// </summary>
        public string Url { get; set; }

        /// <summary>
        /// Gets or sets the title property of the image tag.
        /// </summary>
        public string Title { get; set; }

        /// <summary>
        /// Gets or sets the link property of the image tag.
        /// </summary>
        public string Link { get; set; }
    }
}
