﻿using System.ComponentModel;

namespace DL.Core.Expressions
{
    public enum ExpressionFilterType
    {
        [Description("Equals")]
        Equals = 0,
        [Description("Between (Inclusive)")]
        BetweenInclusive = 1,
        [Description("Between (Exclusive)")]
        BetweenExclusive = 2,
        [Description("Less Than")]
        LessThan = 3,
        [Description("Less Than or Equal")]
        LessThanOrEqual = 4,
        [Description("Greater Than")]
        GreaterThan = 5,
        [Description("Greater Than or Equal")]
        GreaterThanOrEqual = 6,
        [Description("Contains")]
        Contains = 7,
        [Description("Starts With")]
        StartsWith = 8,
        [Description("End With")]
        EndsWith = 9
    }
}
